---
search:
  tags:
    - Clusters
    - POST
seo:
  description: >-
    Runs the cluster's setup again, as when it was connected. Reference for the
    POST /cluster/{cluster_id}/sync endpoint in the Platform API.
sidebar:
  label: Sync a cluster
  badge: POST
title: Sync a cluster
type: openapi-operation
---
Runs the cluster's setup again, as when it was connected.

`POST /cluster/{cluster_id}/sync`

**Responses**

- `200` — Cluster sync scheduled successfully
- `default` — Error

Response example, 200:

```json
{
  "cloud_provider": "aws",
  "created_at": "2025-06-10T22:16:02Z",
  "deleted_at": "2025-06-10T22:16:02Z",
  "id": "7362e0d0-72ed-c77b-5c42-f9af9d52fd5f",
  "name": "zKC",
  "organization_id": "7a60f26d-0106-02f5-ccf5-98b7c4cdc513",
  "state": "INITIALIZED",
  "update_at": "2025-06-10T22:16:02Z"
}
```
